summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-02-21 19:15:06 +0000
committer Eric Hameleers <alien@slackware.com>2023-02-21 21:32:37 +0100
commitc37e54c60e3141329d01864fdcb0d5d30518a563 (patch)
tree04869ccbb6b2f341e0cbe6ce6048ee0a2951b57a /source/ap
parent0df29e7a5daa4f286f70a66114d9a3357ab19890 (diff)
downloadcurrent-c37e54c60e3141329d01864fdcb0d5d30518a563.tar.gz
current-c37e54c60e3141329d01864fdcb0d5d30518a563.tar.xz
Tue Feb 21 19:15:06 UTC 202320230221191506
ap/vim-9.0.1337-x86_64-1.txz: Upgraded. OK, so the upstream runtime update didn't fix sh syntax highlighting, so we patched it. Thanks to marav. Also, we needed this version number. ;-) d/autoconf-archive-2023.02.20-noarch-1.txz: Upgraded. l/babl-0.1.100-x86_64-1.txz: Upgraded. l/gegl-0.4.42-x86_64-1.txz: Upgraded. x/ibus-1.5.28-x86_64-1.txz: Upgraded. x/ibus-libpinyin-1.15.1-x86_64-1.txz: Upgraded. xap/vim-gvim-9.0.1337-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/vim/vim-gvim.SlackBuild5
-rw-r--r--source/ap/vim/vim-sh-syntax.patch13
-rwxr-xr-xsource/ap/vim/vim.SlackBuild5
3 files changed, 21 insertions, 2 deletions
diff --git a/source/ap/vim/vim-gvim.SlackBuild b/source/ap/vim/vim-gvim.SlackBuild
index 9307e18eb..5308006f6 100755
--- a/source/ap/vim/vim-gvim.SlackBuild
+++ b/source/ap/vim/vim-gvim.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2021, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -111,6 +111,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix sh syntax highlighting:
+zcat $CWD/vim-sh-syntax.patch.gz | patch -p1 --verbose || exit 1
+
config_vim --with-x --enable-gui=gtk3 || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/ap/vim/vim-sh-syntax.patch b/source/ap/vim/vim-sh-syntax.patch
new file mode 100644
index 000000000..9cd337333
--- /dev/null
+++ b/source/ap/vim/vim-sh-syntax.patch
@@ -0,0 +1,13 @@
+diff --git a/runtime/syntax/sh.vim b/runtime/syntax/sh.vim
+index 13d74db..4f7fafb 100644
+--- a/runtime/syntax/sh.vim
++++ b/runtime/syntax/sh.vim
+@@ -335,7 +335,7 @@ syn match shEscape contained '\%(^\)\@!\%(\\\\\)*\\.' nextgroup=shComment
+ " systems too, however, so the following syntax will flag $(..) as
+ " an Error under /bin/sh. By consensus of vimdev'ers!
+ if exists("b:is_kornshell") || exists("b:is_bash") || exists("b:is_posix")
+- syn region shCommandSub matchgroup=shCmdSubRegion start="\$(\ze[^(]\|$" skip='\\\\\|\\.' end=")" contains=@shCommandSubList
++ syn region shCommandSub matchgroup=shCmdSubRegion start="\$(\ze[^(]" skip='\\\\\|\\.' end=")" contains=@shCommandSubList
+ syn region shArithmetic matchgroup=shArithRegion start="\$((" skip='\\\\\|\\.' end="))" contains=@shArithList
+ syn region shArithmetic matchgroup=shArithRegion start="\$\[" skip='\\\\\|\\.' end="\]" contains=@shArithList
+ syn match shSkipInitWS contained "^\s\+"
diff --git a/source/ap/vim/vim.SlackBuild b/source/ap/vim/vim.SlackBuild
index 07676fe49..2a75d4c36 100755
--- a/source/ap/vim/vim.SlackBuild
+++ b/source/ap/vim/vim.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -152,6 +152,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix sh syntax highlighting:
+zcat $CWD/vim-sh-syntax.patch.gz | patch -p1 --verbose || exit 1
+
config_vim --without-x --disable-gui || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1